Service authentication policy service 3 matching interfaces
Create a policy createHTTPAuthPolicy
POST /HTTPAuthPolicyService/createHTTPAuthPolicy
Definition file service_http_auth_policy.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc createHTTPAuthPolicy ( CreateHTTPAuthPolicyRequest ) returns ( CreateHTTPAuthPolicyResponse );
Request message CreateHTTPAuthPolicyRequestCreate a policy
Request message · Field definitions Copy codemessage CreateHTTPAuthPolicyRequest {
string name = 1 ;
string type = 2 ;
bytes paramsJSON = 3 ;
}
Response message CreateHTTPAuthPolicyResponse Response message · Field definitions Copy codemessage CreateHTTPAuthPolicyResponse {
int64 httpAuthPolicyId = 1 ;
}